Subject: Re: bug#67691: 29.1.50; Virtual buffers in fido-mode

From: Dmitry Gutov <[email-masked]>
Date: Fri, 8 Dec 2023 14:29:15 +0200

On 08/12/2023 13:27, João Távora wrote:
>> Also somewhat relevant, from the same question:
>>
>>> Is there a way to get recentf entries to be appended after the open
>>> buffers when I call switch-to-buffer using fido-vertical-mode?
>> I'm not the OP but I was in need of much the same functionality.
> Maybe this feature (and also the preceding one, I guess) could be
> argued for in terms of changes to Emacs's completion frontend
> so that it is available to fido, icomplete, vanilla completion,
> and maybe more.  But I don't understand exactly what the
> feature does (though here it seems simpler than in the previous
> one).

It's the same feature.

I think ido-use-virtual-buffers's docstring has a good explanation.

So, two parts:

- Using entries from recentf in the list of buffers to switch to.
- Color them differently somehow.